<?php

class Intense_Animated extends Intense_Shortcode {
	function __construct() {
        parent::__construct();

        global $intense_visions_options;

        $this->category = __( 'Elements', 'intense' );
        $this->title = __( 'Animated', 'intense' );
        $this->description = __( 'The animated shortcode allows for animating items on a page. There are many different options to choose from with some starting hidden and others ending hidden.  Animations can be triggered when an item on the page has the mouse hovered over it, when the user scrolls the page so that the item is visible, or when something is clicked with the mouse.', 'intense');
        $this->show_preview = false;
        // $this->preview_content = '<img src="' . INTENSE_PLUGIN_URL . '/assets/img/icon_32x32.png" />';
        $this->is_container = true;
    }

	function shortcode( $atts, $content = null ) {
		extract( shortcode_atts( $this->get_shortcode_defaults( null, $atts ), $atts ) );

		return intense_get_animation_wrapper_start( $type, $trigger, $scroll_percent, $delay, $trigger_client_id, $reset, $id, $class ) .
			do_shortcode( $content ) . intense_get_animation_wrapper_end();
	}

	public static function get_animations() {
		require 'animations.php';
		return $intense_animations;
	}
}
